# Copyright (c) 2026, UChicago Argonne, LLC
# BSD OPEN SOURCE LICENSE. Full license can be found in LICENSE
# Copyright (c) 2026, UChicago Argonne, LLC
# BSD OPEN SOURCE LICENSE. Full license can be found in LICENSE
from ..transit import ActiveRebuilder
from .show_dialog import show_diag


def active_rebuilder(proj):
    if not proj.open_mode:
        proj.show_message_no_supply()
        return
    dlg2 = ActiveRebuilder(proj)
    show_diag(dlg2)
